actions: []
api_documentation: http://docs.ros.org/en/noetic/api/rostopic/html
authors: Ken Conley, Dirk Thomas <dthomas@osrfoundation.org>, Jacob Perron <jacob@openrobotics.org>
brief: ''
bugtracker: ''
depends:
- catkin
- genpy
- rosbag
- rospy
- rostest
depends_on:
- actionlib_tools
- cob_bringup
- cob_monitoring
- criutils
- generic_throttle
- husky_control
- husky_gazebo
- joy_teleop
- jsk_perception
- jsk_topic_tools
- mir_gazebo
- mongodb_log
- pr2_gazebo
- ros_comm
- rosbridge_library
- roseus
- rosman
- rosnode
- rqt_graph
- rqt_moveit
- rqt_plot
- rqt_pose_view
- rqt_py_common
- rqt_robot_steering
- rqt_topic
- smach_ros
- swri_cli_tools
description: "rostopic contains the rostopic command-line tool for displaying\n  \
  \  debug information about\n    ROS <a href=\"http://wiki.ros.org/Topics\">Topics</a>,\
  \ including\n    publishers, subscribers, publishing rate,\n    and ROS <a href=\"\
  http://wiki.ros.org/Messages\">Messages</a>. It also\n    contains an experimental\
  \ Python library for getting information about\n    and interacting with topics\
  \ dynamically. This library is for\n    internal-use only as the code API may change,\
  \ though it does provide\n    examples of how to implement dynamic subscription\
  \ and publication\n    behaviors in ROS."
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__ros_comm__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__ros_comm__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Michael Carroll <michael@openrobotics.org>, Shane Loretz <sloretz@openrobotics.org>
metapackages:
- ros_comm
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__rostopic__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__rostopic__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__rostopic__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__rostopic__ubuntu_focal_arm64__binary
repo_name: ros_comm
repo_url: ''
srvs: []
timestamp: 1700740535.8298235
url: http://ros.org/wiki/rostopic
vcs: git
vcs_uri: https://github.com/ros/ros_comm.git
vcs_version: noetic-devel
